# frozen_string_literal: true
module Hyrax
  module Workflow
    ##
    # This is a built in function for workflow, so that a workflow action can be created that
    # removes the creators the ability to alter it.
    module RevokeEditFromPublicationManager
      def self.call(target:, **)
        collection = target.parent_collections.first

        group_key = "publication_manager"

        target.update(edit_groups: target.edit_groups.to_a - [group_key])

        RevokeEditFromGroupJob.perform_later(target, group_key)
      end
    end
  end
end