require 'json'

namespace :rdms do
  namespace :crc_1280_import do
    desc 'Verify CRC1280 import or verify CRC1280 import of an experiment. This will compare the files in the file path with the objects in the S3 bucket"]'
    task :"verify_import", [:import_id] => :environment do |task, args|
      puts "Verifying import #{args.import_id}"
      import_status, report_paths = VerifyCRCDatasetImport.verify_import(args.import_id)
      puts "import status : #{import_status}"
      puts "Detailed reports are available at:"
      puts JSON.pretty_generate(report_paths)
    end
    task :"verify_experiment", [:import_id, :entry_id] => :environment do |task, args|
      puts "Verifying import #{args.import_id}"
      experiment_status, report_path = VerifyCRCDatasetImport.verify_experiment_and_report(args.import_id, args.entry_id)
      puts "Experiment import status : #{experiment_status}"
      puts "Detailed reports is available at: #{report_path}"
    end
  end
end
